package com.caimei.mapper;

import com.caimei.model.dto.BuyerUserDto;
import com.caimei.model.po.CmMallOrganizePo;
import com.caimei.model.po.CmOrganizeBuyerPo;
import com.caimei.model.vo.BuyerUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/22
 */
@Mapper
public interface LoginMapper {
    /**
     * 查询采购员
     *
     * @param openid
     * @return
     */
    BuyerUserVo findBuyer(String openid);

    /**
     * 邀请码查询采购员
     *
     * @param invitationCode 邀请码
     * @return
     */
    CmOrganizeBuyerPo findByInvitationCode(String invitationCode);

    /**
     * 查询组织信息
     *
     * @param organizeId
     * @return
     */
    CmMallOrganizePo findOrganize(Integer organizeId);

    /**
     * 修改采购员
     *
     * @param buyerUserDto
     */
    void updateBuyer(BuyerUserDto buyerUserDto);

    /**
     * 查询订单数量
     *
     * @param organizeId 组织id
     * @param status
     * @return
     */
    Integer findOrderCount(@Param("organizeId") Integer organizeId,@Param("status") int status);
}
