package com.caimei.mapper;

import com.caimei.model.po.*;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/26
 */
@Mapper
public interface PayOrderMapper {
    /**
     * 查询支付记录
     *
     * @param order
     * @return
     */
    List<DiscernReceiptVo> getDiscernReceipt(OrderVo order);

    /**
     * 更新订单信息
     *
     * @param order
     */
    void updateSelective(OrderVo order);

    /**
     * 保存收款记录
     *
     * @param discernReceipt
     */
    void insertDiscernReceipt(CmDiscernReceiptPo discernReceipt);

    /**
     * 保存订单收款关系
     *
     * @param relation
     */
    void insertOrderRelation(CmReceiptOrderRelationPo relation);

    /**
     * 查询线上支付链接
     *
     * @param orderId
     * @param amount
     * @return
     */
    OrderPayLinkVo findOrderPayLink(@Param("orderId") Integer orderId, @Param("amount") BigDecimal amount);

    /**
     * 更新线上支付链接状态
     *
     * @param orderPayLink
     */
    void updateOrderPayLink(OrderPayLinkVo orderPayLink);

    /**
     * 保存线上支付链接
     *
     * @param orderPayLink
     */
    void insertOrderPayLink(OrderPayLinkVo orderPayLink);

    /**
     * 查询订单商品
     *
     * @param orderId
     * @return
     */
    List<OrderProductVo> findAllOrderProduct(Integer orderId);

    /**
     * 获取线上支付开关状态
     */
    Integer getPayOnLineSwitch();
}
