package com.caimei.model.enumerate;
/**
 *支付类型枚举类
 *
 * @author Aslee
 */
public enum ReceivablesType {
    JIANSHE(1, "建设银行-7297"),
    GUANGFA(2, "广发银行-0115"),
    ZHONGXING_1(3, "中信银行-7172"),
    ZHONGXING_2(4, "中信银行-0897"),
    ZHONGXING_2_1(5, "中信银行-0897-财付通"),
    ZHONGXING_2_2(6, "中信银行-0897-支付宝"),
    XIANSHANG_ZFB(7, "线上-支付宝"),
    XIANSHANG_WX(8, "线上-微信支付"),
    XIANSHANG_KUAIQIAN(9, "线上-快钱支付"),
    KOUTOUFANYONG(10, "口头返佣"),
    GUANGFA_1(11, "广发银行-5461"),
    WANGYIN(12, "企业网银"),
    PCWX(13, "微信支付"),
    ZHIFUBAO(14, "支付宝"),
    MINIWX(15, "微信支付"),
    YUEDIKO(16, "余额抵扣");


    private int code;
    private String desc;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    ReceivablesType(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static String getReceivablesType(int code) {
        for (ReceivablesType type : ReceivablesType.values()) {
            if (type.getCode() == code) {
                return type.desc;
            }
        }
        return "";
    }

    public static ReceivablesType getReceivablesType(String desc) {
        for (ReceivablesType type : ReceivablesType.values()) {
            if (type.getDesc().contains(desc)) {
                return type;
            }
        }
        return null;
    }

    public static Boolean havaHandlingFee(int code) {
        boolean res = false;
        if (ReceivablesType.ZHONGXING_2_1.getCode() == code || ReceivablesType.ZHONGXING_2_2.getCode() == code || ReceivablesType.ZHONGXING_2.getCode() == code || ReceivablesType.GUANGFA_1.getCode() == code) {
            res = true;
        }
        return res;
    }
}
