package com.caimei.model.vo;

import com.caimei.model.po.ProductDetailInfoPo;
import com.caimei.model.po.ProductImagePo;
import com.caimei.model.po.PromotionsPo;
import com.caimei.model.po.RelatedParametersPo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/23
 */
@Data
public class ProductVo {

    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 原采美商品Id
     */
    private Integer originalProductId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String mainImage;

    /**
     * 机构价
     */
    private BigDecimal price;

    /**
     * 规格
     */
    private String unit;

    /**
     * 起订量
     */
    private Integer minBuyNumber;

    /**
     * 启用阶梯价格标识 0否 1是
     */
    private Integer ladderPriceFlag;

    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private Integer includedTax;

    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private Integer invoiceType;

    /**
     * 开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;

    /**
     * 展示价格
     */
    private BigDecimal retailPrice;

    /**
     * 商品状态：0已下架，1已上架
     */
    private Integer status;

    /**
     * 商品标签用英文逗号隔开，中文逗号或其它一律不作切割
     */
    private String tags;

    /**
     * 阶梯价格集合
     */
    private List<LadderPriceVo> ladderPriceList;

    /**
     * 商品是否处于活动状态：1是，空或0不是[活动商品和actFlag含义不同]
     */
    private Integer actStatus;

    /**
     * 促销活动
     */
    private PromotionsPo promotion;

    /**
     * 标签数组
     */
    private String[] tagsList;

    /**
     * 商品图片
     */
    private List<ProductImagePo> imageList;

    /**
     * 商品详情
     */
    private ProductDetailInfoPo productDetail;

    /**
     * 机构用户价格等级(范围1-5)【V6.2.0版本已废弃-根据价格范围显示等级】
     */
    private String priceGrade;

    /**
     * 一级分类id
     */
    private Integer bigTypeId;

    /**
     * 二级分类id
     */
    private Integer smallTypeId;

    /**
     * 三级分类Id
     */
    private Integer tinyTypeId;

    /**
     * 所在分类名称
     */
    private String typeName;

    /**
     * 品牌Id
     */
    private Integer brandId;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 相关参数
     */
    private List<RelatedParametersPo> parametersList;

    /**
     * 商品编码
     */
    private String productCode;

    /**
     * 库存
     */
    private Integer stock;

    /**
     * 商品备注
     */
    private String productRemark;
}
