package com.caimei.service;

import com.caimei.model.ResponseJson;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/21
 */
public interface OrderSubmitService {
    /**
     * 商品结算
     *
     * @param productIds 商品ID串用逗号隔开。
     * @param userId     机构用户id。
     * @return
     */
    ResponseJson<Map<String, Object>> orderConfirm(String productIds, Integer userId);

    /**
     * 提交订单
     *
     * @param clubUserId
     * @param addressId
     * @param orderInfo
     * @param payInfo
     * @param orderInvoice
     * @return
     */
    ResponseJson<Map<String, String>> orderSubmit(Integer clubUserId, Integer addressId, List<Map<String, Object>> orderInfo, Map<String, Object> payInfo, Map<String, Object> orderInvoice);
}
